# Class PRS_Solution
extends PRS_ExchangeElement

PRS_Solution is the root class of a set of associated classes used to describe a single Solution. If a Solution is associated with multiple Problems or Resolutions, all of the Problems described are related to all of the Resolutions described. The reverse is also true. All of the Resolutions described are related to all of the Problems described in the Solution. PRS_Solution is directly associated to one or more of the following classes: PRS_Reference PRS_Problem PRS_Resolution.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Solution

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_Solution is the root class of a set of associated classes used to describe a single Solution. If a Solution is associated with multiple Problems or Resolutions, all of the Problems described are related to all of the Resolutions described. The reverse is also true. All of the Resolutions described are related to all of the Problems described in the Solution. PRS_Solution is directly associated to one or more of the following classes: PRS_Reference PRS_Problem PRS_Resolution.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SolutionAbstract | string |
Description | string | A brief description of the Solution.
SolutionType | uint8 |

Description

string

The SolutionType suggests the type of knowledge contained in the Solution. Depending on the type, the Solution may or may not include particular objects. For example, a 'Reference' Solution describes non-diagnostic technical or general information using PRS_Statement objects. A 'Diagnostic' Solution includes one or more PRS_Problem and PRS_Resolution objects. A 'How To' Solution describes how to solve a particular Problem described by a PRS_Problem in a series of sequential steps within a PRS_Resolution.

ValueMap | string | 0, 1, 2, 254, 255
Values | string | Reference, Diagnostic, How To, Other, Unknown
Title | string |
Description | string | The Solution title.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods